Bug 588901 - listLatestUpgradablePackages returns too many packages
Summary: listLatestUpgradablePackages returns too many packages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API   
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Joshua Roys
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: space12
TreeView+ depends on / blocked
 
Reported: 2010-05-04 19:24 UTC by Joshua Roys
Modified: 2010-11-19 16:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 16:16:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (4.10 KB, patch)
2010-05-04 19:27 UTC, Joshua Roys
no flags Details | Diff

Description Joshua Roys 2010-05-04 19:24:39 UTC
Description of problem:
package arch is not taken into account in the SQL query underlying this API call

Version-Release number of selected component (if applicable):
git HEAD

How reproducible:
python swapi.py -A $SYSTEMID -s $SERVER -u $USER system.listLatestUpgradablePackages

Steps to Reproduce:
1. push glibc.i386, .i686, .x86_64 to a channel.
2. have .i686 and .x86_64 installed on a host subscribed to above channel
3. execute API call
  
Actual results:
all 3 glibc packages are returned as candidates for updating

Expected results:
only .i686 and .x86_64 get returned as updates

Additional info:

Comment 1 Joshua Roys 2010-05-04 19:27:13 UTC
Created attachment 411383 [details]
patch to fix

Comment 2 Joshua Roys 2010-05-04 19:41:22 UTC
Fixed in spacewalk.git master 3f6829d6aa6f06cee89e235f2519fb128a7ab8e7

Comment 3 Joshua Roys 2010-05-05 15:52:51 UTC
Follow-up fix in 7bd8078b7dc3483f97245f8049ef8f7f688bce83
This will return the correct to_package_id

Comment 4 Jan Pazdziora 2010-10-27 08:32:23 UTC
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.

Comment 6 Jan Pazdziora 2010-11-19 16:16:34 UTC
With Spacewalk 1.2 released, marking as CLOSED CURRENTRELEASE.

https://www.redhat.com/archives/spacewalk-list/2010-November/msg00111.html


Note You need to log in before you can comment on or make changes to this bug.